Bug 1295171 - license issues and copyright law
Summary: license issues and copyright law
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: abduco
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-Legal
TreeView+ depends on / blocked
 
Reported: 2016-01-03 07:40 UTC by mejiko
Modified: 2018-06-07 19:14 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-07 19:14:00 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Debian BTS 771102 None None None 2016-01-03 07:40:56 UTC

Description mejiko 2016-01-03 07:40:57 UTC
Hello.

abduco is license problem, Please see Debuan bug number "771102" datails.
I think that this package be affected by debian bug number "771102".

I suggest that resolve license problem.


Thanks.


Reference:

https://bugs.debian.org/cgi-bin/bugreport.cgi?archive=no&bug=771102

Comment 1 mejiko 2016-01-03 07:41:40 UTC
Blocking FE-Legal, This is license problem.

Comment 2 Jan Kurik 2016-02-24 15:33:00 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 3 mejiko 2016-05-09 13:15:02 UTC
Is this bug is resolved ?

Thanks.

Comment 4 Igor Gnatenko 2016-06-28 13:37:52 UTC
No, it's not fixed. What can we do about this? Drop from repositories? I don't want this. So it's up to Legal team to investigate.

Comment 5 Jan Kurik 2016-07-26 04:20:40 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 6 Fedora End Of Life 2017-02-28 09:52:07 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 7 Tom "spot" Callaway 2017-06-21 20:03:30 UTC
I have asked the abduco upstream to resolve this concern here:

https://github.com/martanne/abduco/issues/27

I have independently confirmed that the abduco code contains at least some code directly derived from dtach.

I've also reached out to Ned T. Crigler, the upstream for dtach, to see if he has any issue with us continuing to ship abduco with the added copyright notice and license attribution for dtach, while the abduco upstream considers their options to resolve the concern.

It is worth noting that the dtach upstream is not obligated to permit this, as the permissions in their GPL licensed dtach code were probably terminated when the abduco code (containing dtach code) failed to honor the terms of the GPL. If they do not explicitly permit this case (or do not reply at all), we will be forced to remove abduco from Fedora.

Comment 8 Fedora End Of Life 2018-02-20 15:21:39 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 9 Tom "spot" Callaway 2018-06-07 19:14:00 UTC
After looking into this again, I find that there is very little evidence of copyright infringement in abduco (from dtach). If anyone feels that their copyright has been infringed, I would recommend that they retain counsel and seek legal remedy. If a court finds that copyright infringement has occurred, Fedora will take action to remove that infringing code.

Closing as NOTABUG.


Note You need to log in before you can comment on or make changes to this bug.